Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ord.controls
Class OrdDomainDataSource

`java.lang.Object
javax.media.protocol.DataSource
javax.media.protocol.PullDataSource
oracle.ord.controls.OrdDomainDataSource`

All Implemented Interfaces:
  javax.media.Controls, javax.media.protocol.Controls, javax.media.Duration

public class OrdDomainDataSource
extends javax.media.protocol.PullDataSource

An interMedia `PullDataSource` class.

Since:
  JDev5.0

Field Summary

Fields inherited from interface javax.media.Duration
`DURATION_UNBOUNDED, DURATION_UNKNOWN`

Constructor Summary
`OrdDomainDataSource(OrdDomainIOInterface domain)`

Method Summary
`void` | `connect()` Connect to the source.
`void` | `debugPrintString(java.lang.String text)`
`void` | `disconnect()` Disconnect frm the source
`java.lang.String` | `getContentType()` DataSource Methods
`java.lang.String` | `getContentTypeString()`
`java.lang.Object` | `getControl(java.lang.String controlType)`
`java.lang.Object[]` | `getControls()` Controls Methods
`javax.media.Time` | `getDuration()` Duration interface
`javax.media.protocol.PullSourceStream[]` | `getStreams()` PullDataSource Methods
`void` | `seek(long pos)`
`void` | `start()`
`void` | `stop()`
`long` | `tell()`

Methods inherited from class javax.media.protocol.DataSource
`getLocator, setLocator`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrdDomainDataSource

    public OrdDomainDataSource(OrdDomainIOInterface domain)

Method Detail

### getControls

    public java.lang.Object[] getControls()

  Controls Methods

### getControl

    public java.lang.Object getControl(java.lang.String controlType)

### getDuration

    public javax.media.Time getDuration()

  Duration interface

### getContentTypeString

    public java.lang.String getContentTypeString()

### getContentType

    public java.lang.String getContentType()

  DataSource Methods

### connect

    public void connect()
                 throws java.io.IOException

  Connect to the source.
  Throws:
    `java.io.IOException`

### disconnect

    public void disconnect()

  Disconnect frm the source

### start

    public void start()

### stop

    public void stop()
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### debugPrintString

    public void debugPrintString(java.lang.String text)

### getStreams

    public javax.media.protocol.PullSourceStream[] getStreams()

  PullDataSource Methods

### tell

    public long tell()

### seek

    public void seek(long pos)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle ADF Business Components interMedia Domains Java API Reference 10g Release 3 (10.1.3) B16008-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001,2005, Oracle. All Rights Reserved.